Projectile = class('Projectile', Object)

function Projectile:initialize(num)
	Object.initialize(self)

	self.color = {0, 255, 0}

	--self.x, self.y = 25, 25

	if num == 1 then
		self.color = {255, 0 , 0}
		self.x = playerOne.x
		self.y = playerOne.y
	end

	if num == 2 then
		self.color = {0, 0 , 255}
		self.x = playerTwo.x
		self.y = playerTwo.y
	end

	self:draw()
end

function Projectile:draw()

	love.graphics.setColor(self.color)
	love.graphics.rectangle("fill", self.x, self.y, 8, 8)

	trace("bullet x = " .. self.x)
	trace("bullet y = " .. self.y)
end

function Projectile:update()
	-- body
end