Projectile = class('Projectile', Object)

function Projectile:initialize(num)
	Object.initialize(self)

	self.color = {0, 255, 0}

	if num == 1 then
		self.color = {255, 0 , 0}
		self.x = playerOne.x
		self.y = playerOne.y
		self.id = "Player One Bullet"
	end

	if num == 2 then
		self.color = {0, 0 , 255}
		self.x = playerTwo.x
		self.y = playerTwo.y
		self.id = "Player Two Bullet"
	end

end

function Projectile:draw()

	love.graphics.setColor(self.color)
	love.graphics.rectangle("fill", self.x, self.y, 8, 8)

	trace(self.id .. " x = " .. self.x)
	trace(self.id .. " y = " .. self.y)
end

function Projectile:update()
	-- body
end